org.apache.struts2.dispatcher

## Interface StaticContentLoader

- All Known Implementing Classes:
    DefaultStaticContentLoader

      public interface StaticContentLoader

  Interface for loading static resources, based on a path. After implementing your own static content loader you must tell the framework how to use it, eg. <bean name="myContentLoader" type="org.apache.struts2.dispatcher" class="com.company.struts.MyContentLoader"/> <constant name="struts.staticContentLoader" value="myContentLoader"/> Check `StrutsBeanSelectionProvider` for more details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `StaticContentLoader.Validator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_STATIC_CONTENT_PATH` Default path at which static content is served, can be changed by using `StrutsConstants.STRUTS_UI_STATIC_CONTENT_PATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHandle(String path)`
    `void` | `findStaticResource(String path, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Locate a static resource and copy directly to the response, setting the appropriate caching headers.
    `void` | `setHostConfig(HostConfig filterConfig)`

- - ### Field Detail

    - #### DEFAULT_STATIC_CONTENT_PATH

          static final String DEFAULT_STATIC_CONTENT_PATH

      Default path at which static content is served, can be changed by using `StrutsConstants.STRUTS_UI_STATIC_CONTENT_PATH`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### canHandle

          boolean canHandle(String path)

      Parameters:
        `path` - Requested resource path
      Returns:
        true if this loader is able to load this type of resource, false otherwise

    - #### setHostConfig

          void setHostConfig(HostConfig filterConfig)

      Parameters:
        `filterConfig` - The filter configuration

    - #### findStaticResource

          void findStaticResource(String path,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws IOException

      Locate a static resource and copy directly to the response, setting the appropriate caching headers.
      Parameters:
        `path` - The resource name
        `request` - The request
        `response` - The response
      Throws:
        `IOException` - If anything goes wrong

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.